# $Revision: 1.20.2.3 $, $Date: 2003/12/01 23:48:04 $
Summary:	Picture viewer for X, with thumbnail-based file selector
Summary(pl):	Przegldarka plikw graficznych pod X'y z obsug miniatur
Name:		xzgv
Version:	0.7
Release:	4
License:	GPL
Vendor:		Russell Marks <russell.marks@dtn.ntl.com>
Group:		X11/Applications/Graphics
URL:		ftp://metalab.unc.edu/pub/Linux/apps/graphics/viewers/X/
Source0:	ftp://metalab.unc.edu/pub/Linux/apps/graphics/viewers/X/%{name}-%{version}.tar.gz
# Source0-md5:	37b5bd8286de9f1047f603879460b364
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-patch
BuildRequires:	gawk
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
xzgv is a picture viewer for X, with a thumbnail-based file selector.
It uses GTK+ and Imlib. Most file formats are supported, and the
thumbnails used are compatible with xv, zgv, and the Gimp. It can also
be used with `xzgv file(s)', to effectively bypass the file selector.
For more on how xzgv works and how to use it, do `info xzgv' or `man
xzgv' once it's installed.

%description -l pl
xzgv jest przegldark plikw graficznych pod X'y z obsug miniatur.
Uywa GTK+ i Imliba. Obsuguje wikszo formatw, a miniatury s
zgodne z xv, zgv oraz Gimp. Moe by take uywany jako `xzgv plik(i)'
w celu efektywnego pomin wbudowany selektor plikw. Wicej
informacji jak dziaa ten program i jak go uywa mona znale na
stronach podrcznika: `info xzgv' oraz `man xzgv'. Oczywicie po
instalacji.

%prep
%setup -q
%patch0 -p1

%build
LDFLAGS="%{rpmldflags}" ; export LDFLAGS
%{__make} OPT="%{rpmcflags}" PREFIX=%{_prefix}

cd doc
rm -f *.gz
makeinfo xzgv.texi
gzip -9nf xzgv.info*
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_applnkdir}/Graphics/Viewers,%{_pixmapsdir}}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	INFODIR=$RPM_BUILD_ROOT%{_infodir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics/Viewers
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/xzgv
%{_infodir}/xzgv*
%{_mandir}/man1/*
%{_applnkdir}/Graphics/Viewers/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xzgv.spec,v $
Revision 1.20.2.3  2003/12/01 23:48:04  ankry
BR: gawk

Revision 1.20.2.2  2003/12/01 23:37:41  ankry
- updated desktop, md5, rel.4

Revision 1.20.2.1  2003/07/11 12:05:01  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.20  2002/11/17 01:28:59  ankry
- desktop converted to UTF8, added icon, fix instalation of info pages,
  translation fixes, new %%doc - release 3

Revision 1.19  2002/05/24 13:07:15  roman
- changed Group from Applications/Graphics to X11/Applications/Graphics

Revision 1.18  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.17  2002/02/25 01:49:32  kloczek
- release 2: removed %defne _infodir (%%{_infodir} macro have %%{_prefix)
  independent constant value).

Revision 1.16  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.12  2001/04/24 18:52:16  kloczek
- reverte last commit (COPYING, INSTALL files aren't realy neccessary).

Revision 1.11  2001/04/24 16:38:21  blues
- more docs

Revision 1.10  2001/04/24 14:55:45  kloczek
- more BuildRequires.

Revision 1.9  2001/04/24 14:49:06  kloczek
- spec adapterized and added using more macros,
- do not dorectly strip binaries and compress man pagess.

Revision 1.8  2001/04/24 14:41:49  blues
- desktop file added
- STB

Revision 1.7  2001/04/24 14:31:13  blues
- removed old patches

Revision 1.6  2001/04/24 14:26:46  blues
- patch updated

Revision 1.5  2001/03/20 12:09:20  blues
- init script from mrt corrected
- translations

Revision 1.4  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.2  2000/05/09 20:56:26  kloczek
- added info patch (fixes for xzgv info index enytry).

Revision 1.1  2000/05/09 19:59:58  baggins
- new, PLD compliant package
